Subject: Re: DSO/DLL Apache Using Cygwin
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 16 Mar 2001 21:53:46 +0100

Hi Gerrit,

> > we are supporting the Apache ports for Cygwin. Attached is the latest
> > patch for 1.3.19 which is capable of DLL creation. Use
> >
> >     $ ./configure --enable-rule=SHARED_CORE
> >
> > for building the DLL version of httpd.
>
> Hmmm, i'm glad that you made this patch.
> But i can't run apache.
> At first, httpd.exe is not copied by install, because its name is httpd.exe.
> I copied it manually.

yes, the "make install" procedure is broken because of the extension. You may
patch the install.sh file within Apache distribution manualy to do so.

> $ /usr/local/apache/bin/apachectl start
> /usr/local/apache/bin/httpd: not found
> /usr/local/apache/bin/apachectl start: httpd could not be started

apachectl is a nice tool, but for win32 usage you will have to tweak it a bit.

> At second, libhttpd.dll isn't found in the libexec subdir, httpd or cygwin
> expects it in the same dir as httpd.exe, or somewhere in the path.

yes, place it in /usr/local/apache/bin where httpd.exe resides and you'll be fine.

> administrator@ISMENE /src/apache/apache_1.3.19
> $ /usr/local/apache/bin/apachectl start
> /usr/local/apache/bin/apachectl start: httpd could not be started
>
> After moving it to its .exe, The server tries to start, but i am nobody.
>
> administrator@ISMENE /src/apache/apache_1.3.19
> $ /usr/local/apache/bin/apachectl start
> httpd: bad user name nobody
> /usr/local/apache/bin/apachectl start: httpd could not be started
>
> I renamed nobody to my cygwin user name: administrator, i got stackdump:
>
> administrator@ISMENE /src/apache/apache_1.3.19
> $ /usr/local/apache/bin/apachectl start
>       0 [main] httpd 350 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
>   10987 [main] httpd 350 stackdump: Dumping stack trace to httpd.exe.stackdump
> Signal 11
> /usr/local/apache/bin/apachectl start: httpd could not be started

ouch! -- no stack dumping shouldn't be the usualy behaviour. Have you checked your
httpd.conf file if everything is fine?

> I suggest this is not the 'normal' behaviour.
> I'll try again with 'absolut' dafault setup and report here.

yes, thanks.

Regards,
Stipe

-- Hope to see you at my presentations "Apache as WAP Server" and
"Apache Distributed Authoring Environments" at ApacheCon 2001
at the Santa Clara Convention Center, CA, USA, April 4-6, 2001 --

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple